---
sourceDocument: Xanadu API Reference
sourceDocumentLink: https://servicenow-prod.fluidtopics.net/r/xanadu/api-reference

 Release :

    - xanadu

ft:locale :

    - en-US

ft:publication_title :

    - Xanadu API Reference

ft:clusterId :

    - crapiref

bundleId :

    - crapiref

workflow :

    - Creator


---

# Service Contract API

# Service Contract API {#ariaid-title1}

* Release version: Xanadu
* 
* Updated August 1, 2024
* 
* ![](https://www.servicenow.com/docs/portal-asset/ico-clock) 94 minutes to read

The Service Contract API provides endpoints to create and retrieve service contract records.
Note:  
This API is for creating data in the tables for the Customer Contracts and Entitlements application. It is not a general purpose API.  
To access this API the following plugins must be activated on the associated instance:

* Customer Contracts and Entitlements (com.sn_pss_core)
* Customer Service Install Base Management (com.snc.install)
* Product Catalog Management Core (com.sn_prd)

In addition, to successfully call this API you must have the sn_pss_core.pss_integrator role. This API runs in the `sn_pss_core` namespace.

Before using this API, you should have associated data in the following tables. For additional information, see [Create service contracts](https://www.servicenow.com/docs/access?context=create-csm-service-contracts&version=xanadu&pubname=xanadu-customer-service-management&ft:locale=en-US).  
* Account \[customer_account\]
* Consumer \[csm_consumer\]
* Household \[csm_household\]
* Install Base \[sn_install_base_item\]
* Product Offering \[sn_prd_pm_product_offering\]
* Product Model \[cmdb_model\]
* Sold Product \[sn_install_base_sold_product\]

## Service Contract - GET /sn_pss_core/servicecontract/{id} {#ariaid-title2}

Retrieves a specified service contract record.
This endpoint retrieves data from the following tables when processing the request:

* Characteristic \[sn_pss_core_entitlement_characteristic\]
* Entitlement \[service_entitlement\]
* Entitlement Usage \[sn_pss_core_entitlement_usage\]
* Sold Product Covered \[sn_install_base_m2m_contract_sold_product\] - This table contains information for both sold products covered and install base items covered.
* Service Contract \[sn_pss_core_service_contract\]
* Service Contract Line \[sn_pss_core_service_contract_line\]

### URL format {#servcont-GET-servicecontract__section_dlq_m44_mxb}

Versioned URL: /api/sn_pss_core/{api_version}/servicecontract/{id}

Default URL: /api/sn_pss_core/servicecontract/{id}

### Supported request parameters

{#servcont-GET-servicecontract__entry__2}{#servcont-GET-servicecontract__version-not_optional-RESTAPI}

| Name | Description |
|-|-|
| api_version | Optional. Version of the endpoint to access. For example, <kbd class="ph userinput">v1</kbd> or <kbd class="ph userinput">v2</kbd>. Only specify this value to use an endpoint version other than the latest. Data type: String |
| id | Sys_id of the service contract to retrieve. Data type: String Table: Service Contract \[sn_pss_core_service_contract\] |
[Table 1. Path parameters]

{#servcont-GET-servicecontract__entry__8}

| Name | Description |
|-|-|
| display_value | Type of data to return. Valid values: * false: Return the `value` for all fields. For example, `"state":"draft"`. * true: Return the `display_value` for all fields. For example, `"state":"Draft"` * all: Return all information for all fields. {#servcont-GET-servicecontract__ul_ohj_gjv_szb} Data type: String Default: false |
[Table 2. Query parameters]

{#servcont-GET-servicecontract__entry__12}

| Name | Description |
|-|-|
| None |   |
[Table 3. Request body parameters (XML or JSON)]

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#servcont-GET-servicecontract__entry__16}{#servcont-GET-servicecontract__accept-RESTAPI}

| Header | Description |
|-|-|
| Accept | Data format of the response body. Supported types: application/json or application/xml. Default: application/json |
[Table 4. Request headers]

{#servcont-GET-servicecontract__entry__20}

| Header | Description |
|-|-|
| None |   |
[Table 5. Response headers]

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#servcont-GET-servicecontract__entry__24}{#servcont-GET-servicecontract__entry-200-status-code}{#servcont-GET-servicecontract__entry-400-status-code}{#servcont-GET-servicecontract__entry-404-status-code}{#servcont-GET-servicecontract__entry-500-status-code}

| Status code | Description |
|-|-|
| 200 | Successful. The request was successfully processed. |
| 400 | Bad Request. A bad request type or malformed request was detected. |
| 403 | Forbidden. The user doesn't have permission to access the API. |
| 404 | Not found. The requested item wasn't found. |
| 500 | Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error. |
[Table 6. Status codes]

### Response body parameters (JSON or XML)

{#servcont-GET-servicecontract__entry__36}

| Name | Description |
|-|-|
| account | Sys_id of the account record to which the service contract belongs. Data type: String Table: Account \[customer_account\] |
| consumer | Sys_id of the consumer record to which the service contract belongs. Data type: String Table: Consumer \[csm_consumer\] |
| ends | Date on which the service contract ends. Data type: String Format: yyyy-mm-dd |
| household | Sys_id of the household associated with the service contract. Data type: String Table: Household \[csm_household\] |
| install_base_items_covered | List of install base items covered under the service contract line. Data type: Array of Objects "install_base_items_covered": [ { "added": "String", "contract": "String", "entitlement": "String", "install_base": "String", "removed": "String", "service_contract_line": "String", "sys_created_by": "String", "sys_created_on": "String", "sys_id": "String", "sys_updated_by": "String", "sys_updated_on": "String" } ] |
| install_base_items_covered.​added | Date that the associated service contract starts to cover the install base item. Data type: String Format: yyyy-mm-dd |
| install_base_items_covered.​contract | Sys_id of the service contract record associated with the install base item. Data type: String Table: Service Contract \[sn_pss_core_service_contract\] |
| install_base_items_covered.​entitlement | Sys_id of the entitlement record associated with the install base item. Data type: String Table: Entitlement \[service_entitlement\] |
| install_base_items_covered.​install_base | Sys_id of the associated install base item record. Data type: String Table: Install Base Item \[sn_install_base_item\] |
| install_base_items_covered.​removed | Date that the associated service contract ends coverage of the install base item. Data type: String Format: yyyy-mm-dd |
| install_base_items_covered.​service_contract_line | Sys_id of the associated service contract line record. Data type: String Table: Service Contract Line \[sn_pss_core_service_contract_line\] |
| install_base_items_covered.​sys_created_by | Name of the user that created the install base item record. Data type: String |
| install_base_items_covered.​sys_created_on | Date and time that the install base item record was created. Data type: String |
| install_base_items_covered.​sys_id | Sys_id of the install base item covered. Data type: String Table: Sold Product Covered \[sn_install_base_m2m_contract_sold_product\] |
| install_base_items_covered.​sys_updated_by | Name of the user that last updated the install base item record. Data type: String |
| install_base_items_covered.​sys_updated_on | Date and time that the install base item record was last updated. Data type: String |
| number | Auto-generated service contract number. Data type: String |
| service_contract_lines | List of service contract lines (services) associated with the service contract. Data type: Array of Objects "service_contract_lines": [ { "child_contract_lines": [Array], "contract": "String", "ends": "String", "entitlements": [Array], "entitlement_characteristics": [Array], "install_base_items_covered": [Array], "name": "String", "number": "String", "parent_contract_line": "String", "product_model": "String", "product_offering": "String", "product_specification": "String", "sold_product": "String", "sold_products_covered": [Array], "starts": "String", "state": "String", "sys_created_by": "String", "sys_created_on": "String", "sys_id": "String", "sys_updated_by": "String", "sys_update_on": "String" } ] |
| service_contract_lines.​child_contract_lines | List of child service contract lines associated with the service contract line. Data type: Array of Objects "child_contract_lines": [ { "child_contract_lines": [Array], "contract": "String", "ends": "String", "entitlements": [Array], "entitlement_characteristics": [Array], "install_base_items_covered": [Array], "name": "String", "number": "String", "parent_contract_line": "String", "product_model": "String", "product_offering": "String", "product_specification": "String", "sold_product": "String", "sold_products_covered": [Array], "starts": "String", "state": "String", "sys_created_by": "String", "sys_created_on": "String", "sys_id": "String", "sys_updated_by": "String", "sys_update_on": "String" } ] |
| service_contract_lines.​child_contract_lines.​child_contract_lines | List of child service contract lines associated with the child service contract line. Same parameters as in child_contract_lines. Data type: Array |
| service_contract_lines.​child_contract_lines.​contract | Sys_id of the service contract associated with the child service contract line. Data type: String Table: Service Contract \[sn_pss_core_service_contract\] |
| service_contract_lines.​child_contract_lines.​ends | Date on which the child service contract line ends. Data type: String Format: yyyy-mm-dd Default: Never ends until manually removed. |
| service_contract_lines.​child_contract_lines.​entitlements | List of entitlements associated with the child service contract line. Data type: Array of Objects "entitlements": [ { "account": "String", "consumer": "String", "contract": "String", "end_date": "String", "entitlement_characteristics": [Array], "entitlement_name": "String", "household": "String", "install_base_items_covered": [Array], "product": "String", "product_offering": "String", "product_specification": "String", "service_contract_line": "String", "sold_entitlement": "String", "sold_products_covered": [Array], "start_date": "String", "state": "String", "sys_created_by": "String", "sys_created_on": "String", "sys_id": "String", "sys_updated_by": "String", "sys_updated_on": "String" } ] |
| service_contract_lines.​child_contract_lines.​entitlements.​account | Sys_id of the account record to which the entitlement belongs. Data type: String Table: Account \[customer_account\] |
| service_contract_lines.​child_contract_lines.​entitlements.​consumer | Sys_id of the consumer record to which the entitlement belongs. Data type: String Table: Consumer \[csm_consumer\] |
| service_contract_lines.​child_contract_lines.​entitlements.​contract | Sys_id of the contract record to which the entitlement belongs. Data type: String Table: Service Contract \[sn_pss_core_service_contract\] |
| service_contract_lines.​child_contract_lines.​entitlements.​end_date | End date of the entitlement. Data type: String Format: yyyy-mm-dd Default: Never ends until manually removed. |
| service_contract_lines.​child_contract_lines.​entitlements.​entitlement_characteristics | List of characteristics associated with the entitlement. Data type: Array of Objects "entitlement_characteristics": [ { "characteristic": "String", "characteristic_option": "String", "entitlement": "String", "service_contract_line": "String", "sys_created_by": "String", "sys_created_on": "String", "sys_id": "String", "sys_updated_by": "String", "sys_updated_on": "String", "type": "String", "value": "String" } ] |
| service_contract_lines.​child_contract_lines.​entitlements.​entitlement_characteristics.​characteristic | Sys_id of the characteristic record associated with the entitlement. Data type: String Table: Characteristic \[sn_prd_pm_characteristic\] |
| service_contract_lines.​child_contract_lines.​entitlements.​entitlement_characteristics.​characteristic_option | Sys_id of the characteristic option record associated with the entitlement. Data type: String Table: Characteristic Option \[sn_prd_pm_characteristic_option\] |
| service_contract_lines.​child_contract_lines.​entitlements.​entitlement_characteristics.​entitlement | Sys_id of the entitlement record. Data type: String Table: Entitlement \[service_entitlement\] |
| service_contract_lines.​child_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage | List of usage values for the associated product. Data type: Array of Objects "entitlement_usage": [ { "entitlement": "String", "entitlement_characteristic": "String", "period_end": "String", "period_start": "String", "service_contract_line": "String", "sys_created_by": "String", "sys_created_on": "String", "sys_id": "String", "sys_updated_by": "String", "sys_update_on": "String", "total_units": "String", "used_units": "String" } ] |
| service_contract_lines.​child_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​entitlement | Sys_id of the entitlement record associated with the entitlement usage. Data type: String Table: Entitlement \[service_entitlement\] |
| service_contract_lines.​child_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​entitlement_characteristic | Sys_id of the entitlement characteristic record associated with the entitlement usage. Data type: String Table: Characteristic \[sn_pss_core_entitlement_characteristic\] |
| service_contract_lines.​child_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​period_end | End date when the entitlement usage is no longer tracked. Data type: String Format: yyyy-mm-dd |
| service_contract_lines.​child_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​period_start | Starting date of when the entitlement usage is tracked. Data type: String Format: yyyy-mm-dd |
| service_contract_lines.​child_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​service_contract_line | Sys_id of the service contract line to which the current entitlement usage belongs. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​sys_created_by | Name of the user that created the entitlement usage record. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​sys_created_on | Date and time that the entitlement usage record was created. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​sys_id | Sys_id of the entitlement usage record. Data type: String Table: Entitlement Usage \[sn_pss_core_entitlement_usage\] |
| service_contract_lines.​child_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​sys_updated_by | Name of the user that last updated the entitlement usage record. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​sys_updated_on | Date and time that the entitlement usage record was last updated. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​total_units | Total coverage value of the associated entitlement characteristic. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​used_units | Number of units used by the account or consumer between the period_start and the period_end. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlements.​entitlement_characteristics.​service_contract_line | Child contract line to which the current entitlement characteristic belongs to. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlements.​entitlement_characteristics.​sys_created_by | Name of the user who created the entitlement characteristic. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlements.​entitlement_characteristics.​sys_created_on | Date and time when the entitlement characteristic was created. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlements.​entitlement_characteristics.​sys_id | Sys_id of the entitlement characteristic record. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlements.​entitlement_characteristics.​sys_updated_by | Name of the user who last updated the entitlement characteristic. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlements.​entitlement_characteristics.​sys_updated_on | Date and time when the entitlement characteristic was last updated. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlements.​entitlement_characteristics.​type | Type of entitlement characteristic. Valid values: * coverage * coverage_and_usage Data type: String |
| service_contract_lines.​child_contract_lines.​entitlements.​entitlement_characteristics.​value | Value of the characteristic. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlements.​entitlement_name | Name of the entitlement. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlements.​household | Sys_id of the household record associated with the entitlement. Data type: String Table: Household \[csm_household\] |
| service_contract_lines.​child_contract_lines.​entitlements.​install_base_items_covered | List of install base items covered under the  child service contract line. Data type: Array of Objects "install_base_items_covered": [ { "added": "String", "contract": "String", "entitlement": "String", "install_base": "String", "removed": "String", "service_contract_line": "String", "sys_created_by": "String", "sys_created_on": "String", "sys_id": "String", "sys_updated_by": "String", "sys_updated_on": "String" } ] Table: Sold Product Covered  \[sn_install_base_m2m_contract_sold_product\] |
| service_contract_lines.​child_contract_lines.​entitlements.​install_base_items_covered.​added | Date that the associated install base item was added to the service contract line. Data type: String Format: yyyy-mm-dd |
| service_contract_lines.​child_contract_lines.​entitlements.​install_base_items_covered.​contract | Sys_id of the service contract record associated with the install base item. Data type: String Table: Service Contract \[sn_pss_core_service_contract\] |
| service_contract_lines.​child_contract_lines.​entitlements.​install_base_items_covered.​entitlement | Sys_id of the entitlement record associated with the install base item. Data type: String Table: Service Contract \[sn_pss_core_service_contract\] |
| service_contract_lines.​child_contract_lines.​entitlements.​install_base_items_covered.​install_base | Sys_id of the associated install base item record. Data type: String Table: Install Base Item \[sn_install_base_item\] |
| service_contract_lines.​child_contract_lines.​entitlements.​install_base_items_covered.​removed | Date that the associated service contract line ends coverage of the install base item. Data type: String Format: yyyy-mm-dd |
| service_contract_lines.​child_contract_lines.​entitlements.​install_base_items_covered.​service_contract_line | Sys_id of the associated service contract line record. Data type: String Table: Service Contract Line \[sn_pss_core_service_contract_line\] |
| service_contract_lines.​child_contract_lines.​entitlements.​install_base_items_covered.​sys_created_by | Name of the user that created the install base item record. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlements.​install_base_items_covered.​sys_created_on | Date and time that the install base item record was created. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlements.​install_base_items_covered.​sys_id | Sys_id of the install base item covered. Data type: String Table: Sold Product Covered \[sn_install_base_m2m_contract_sold_product\] |
| service_contract_lines.​child_contract_lines.​entitlements.​install_base_items_covered.​sys_updated_by | Name of the user that last updated the install base item record. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlements.​install_base_items_covered.​sys_updated_on | Date and time that the install base item record was last updated. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlements.​product | Sys_id of the product model record associated with the entitlement. Data type: String Table: Product Model \[cmdb_model\] |
| service_contract_lines.​child_contract_lines.​entitlements.​product_offering | Sys_id of the product offering record associated with the entitlement. Data type: String Table: Product Offering \[sn_prd_pm_product_offering\] |
| service_contract_lines.​child_contract_lines.​entitlements.​product_specification | Sys_id of the product specification record associated with the entitlement. Data type: String Table: Product Specification \[sn_prd_pm_product_specification\] |
| service_contract_lines.​child_contract_lines.​entitlements.​service_contract_line | Sys_id of the service contract line record associated with the entitlement. Data type: String Table: Service Contract Line \[sn_pss_core_service_contract_line\] |
| service_contract_lines.​child_contract_lines.​entitlements.​sold_entitlement | Sys_id of the sold product record associated with the entitlement. Data type: String Table: Sold Product \[sn_install_base_sold_product\] |
| service_contract_lines.​child_contract_lines.​entitlements.​sold_products_covered | List of products covered. Data type: Array of Objects "sold_products_covered": [ { "added": "String", "contract": "String", "entitlement": "String", "removed": "String", "service_contract_line": "String", "sold_product": "String", "sys_created_by": "String", "sys_created_on": "String", "sys_id": "String", "sys_updated_by": "String", "sys_updated_on": "String" } ] Table: Sold Product Covered \[sn_install_base_m2m_contract_sold_product\] |
| service_contract_lines.​child_contract_lines.​entitlements.​sold_products_covered.​added | Date that the associated service contract starts to cover the product. Data type: String Format: yyyy-mm-dd Default: Current date |
| service_contract_lines.​child_contract_lines.​entitlements.​sold_products_covered.​contract | Sys_id of the service contract record associated with the sold product covered. Data type: String Table: Service Contract \[sn_pss_core_service_contract\] |
| service_contract_lines.​child_contract_lines.​entitlements.​sold_products_covered.​entitlement | Sys_id of the entitlement record associated with the sold product covered. Data type: String Table: Entitlement \[service_entitlement\] |
| service_contract_lines.​child_contract_lines.​entitlements.​sold_products_covered.​removed | Date that the associated service contract ends coverage of the associated product. Data type: String Format: yyyy-mm-dd Default: No end date |
| service_contract_lines.​child_contract_lines.​entitlements.​sold_products_covered.​service_contract_line | Sys_id of the service contract line record associated with the sold product covered. Data type: String Table: Service Contract Line \[sn_pss_core_service_contract_line\] |
| service_contract_lines.​child_contract_lines.​entitlements.​sold_products_covered.​sold_product | Sys_id of the product covered by the service contract. Data type: String Table: Sold Product \[sn_install_base_sold_product\] |
| service_contract_lines.​child_contract_lines.​entitlements.​sold_products_covered.​sys_created_by | Name of the user that created the sold product covered record. Data type: String |
| service_contract_lines.​child_contract_lines.​sold_products_covered.​sys_created_on | Date and time that the sold product covered record was created. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlements.​sold_products_covered.​sys_id | Sys_id of the product covered by this service contract. Data type: String Table: Sold Product Covered \[sn_install_base_m2m_contract_sold_product\] |
| service_contract_lines.​child_contract_lines.​entitlements.​sold_products_covered.​sys_updated_by | Name of the user that last updated the sold product covered record. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlements.​sold_products_covered.​sys_updated_on | Name of the user that last updated the sold product covered record. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlements.​start_date | Start date of the entitlement. Data type: String Format: yyyy-mm-dd |
| service_contract_lines.​child_contract_lines.​entitlements.​state | Current state of the entitlement. Valid values: (case-sensitive) * active * cancelled * draft * expired * suspended Data type: String |
| service_contract_lines.​child_contract_lines.​entitlements.​sys_created_by | Name of the user that created the entitlement record. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlements.​sys_created_on | Date and time that the entitlement record was created. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlements.​sys_id | Sys_id of the associated entitlement record. Data type: String Table: Entitlement \[service_entitlement\] |
| service_contract_lines.​child_contract_lines.​entitlements.​sys_updated_by | Name of the user that last updated the entitlement record. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlements.​sys_updated_on | Date and time that the entitlement record was created. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlement_characteristics | List of characteristics associated with the entitlement. Data type: Array of Objects "entitlement_characteristics": [ { "characteristic": "String", "characteristic_option": "String", "entitlement": "String", "entitlement_usage": [Array], "service_contract_line": "String", "sys_created_by": "String", "sys_created_on": "String", "sys_id": "String", "sys_updated_by": "String", "sys_updated_on": "String" "type": "String", "value": "String" } ] |
| service_contract_lines.​child_contract_lines.​entitlement_characteristics.​characteristic | Sys_id of the characteristic record associated with the entitlement. Data type: String Table: Characteristic \[sn_prd_pm_characteristic\] |
| service_contract_lines.​child_contract_lines.​entitlement_characteristics.​characteristic_option | Sys_id of the characteristic option record associated with the entitlement. Data type: String Table: Characteristic Option \[sn_prd_pm_characteristic_option\] |
| service_contract_lines.​child_contract_lines.​entitlement_characteristics.​entitlement | Sys_id of the entitlement record. Data type: String Table: Entitlement \[service_entitlement\] |
| service_contract_lines.​child_contract_lines.​entitlement_characteristics.​service_contract_line | Sys_id of the service contract line record associated with the entitlement characteristic. Data type: String Table: Service Contract Line \[sn_pss_core_service_contract_line\] |
| service_contract_lines.​child_contract_lines.​entitlement_characteristics.​sys_created_by | Name of the user that created the entitlement characteristics record. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlement_characteristics.​sys_created_on | Date and time that the entitlement characteristics record was created. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlement_characteristics.​sys_id | Sys_id of the entitlement characteristics record. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlement_characteristics.​sys_updated_by | Name of the user that last updated the entitlement characteristics record. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlement_characteristics.​sys_updated_on | Date and time that the entitlement characteristics record was last updated. Data type: String |
| service_contract_lines.​child_contract_lines.​entitlement_characteristics.​type | Type of entitlement characteristic. Valid values: * coverage * coverage_and_usage Data type: String |
| service_contract_lines.​child_contract_lines.​entitlement_characteristics.​value | Value of the characteristic. Data type: String |
| service_contract_lines.​child_contract_lines.​install_base_items_covered | List of install base items covered under the  child service contract line. Data type: Array of Objects "install_base_items_covered": [ { "added": "String", "contract": "String", "entitlement": "String", "install_base": "String", "removed": "String", "service_contract_line": "String", "sys_created_by": "String", "sys_created_on": "String", "sys_id": "String", "sys_updated_by": "String", "sys_updated_on": "String" } ] Table: Sold Product Covered  \[sn_install_base_m2m_contract_sold_product\] |
| service_contract_lines.​child_contract_lines.​install_base_items_covered.​added | Date that the associated install base item was added to the service contract line. Data type: String Format: yyyy-mm-dd |
| service_contract_lines.​child_contract_lines.​install_base_items_covered.​contract | Sys_id of the service contract record associated with the install base item. Data type: String Table: Service Contract \[sn_pss_core_service_contract\] |
| service_contract_lines.​child_contract_lines.​install_base_items_covered.​entitlement | Sys_id of the entitlement record associated with the install base item. Data type: String Table: Service Contract \[sn_pss_core_service_contract\] |
| service_contract_lines.​child_contract_lines.​install_base_items_covered.​install_base | Sys_id of the associated install base item record. Data type: String Table: Install Base Item \[sn_install_base_item\] |
| service_contract_lines.​child_contract_lines.​install_base_items_covered.​removed | Date that the associated service contract line ends coverage of the install base item. Data type: String Format: yyyy-mm-dd |
| service_contract_lines.​child_contract_lines.​install_base_items_covered.​service_contract_line | Sys_id of the associated service contract line record. Data type: String Table: Service Contract Line \[sn_pss_core_service_contract_line\] |
| service_contract_lines.​child_contract_lines.​install_base_items_covered.​sys_created_by | Name of the user that created the install base item record. Data type: String |
| service_contract_lines.​child_contract_lines.​install_base_items_covered.​sys_created_on | Date and time that the install base item record was created. Data type: String |
| service_contract_lines.​child_contract_lines.​install_base_items_covered.​sys_id | Sys_id of the install base item covered. Data type: String Table: Sold Product Covered \[sn_install_base_m2m_contract_sold_product\] |
| service_contract_lines.​child_contract_lines.​install_base_items_covered.​sys_updated_by | Name of the user that last updated the install base item record. Data type: String |
| service_contract_lines.​child_contract_lines.​install_base_items_covered.​sys_updated_on | Date and time that the install base item record was last updated. Data type: String |
| service_contract_lines.​child_contract_lines.​name | Name of the child service contract line. Data type: String |
| service_contract_lines.​child_contract_lines.​parent_contract_line | Sys_id of the parent contract line record associated with the child service contract line. Data type: String |
| service_contract_lines.​child_contract_lines.​product_model | Sys_id of the product associated with the child service contract line. Data type: String Table: Product Model \[cmdb_model\] |
| service_contract_lines.​child_contract_lines.​product_offering | Sys_id of the product offering record associated with the child service contract line. Data type: String Table: Product Offering \[sn_prd_pm_product_offering\] |
| service_contract_lines.​child_contract_lines.​sold_product | Sys_id of the sold product record associated with the child service contract line. Data type: String Table: Sold Product \[sn_install_base_sold_product\] |
| service_contract_lines.​child_contract_lines.​sold_products_covered | List of products covered. Data type: Array of Objects "sold_products_covered": [ { "added": "String", "contract": "String", "entitlement": "String", "removed": "String", "service_contract_line": "String", "sold_product": "String", "sys_created_by": "String", "sys_created_on": "String", "sys_id": "String", "sys_updated_by": "String", "sys_updated_on": "String" } ] Table: Sold Product Covered \[sn_install_base_m2m_contract_sold_product\] |
| service_contract_lines.​child_contract_lines.​sold_products_covered.​added | Date that the associated service contract starts to cover the product. Data type: String Format: yyyy-mm-dd Default: Current date |
| service_contract_lines.​child_contract_lines.​sold_products_covered.​contract | Sys_id of the service contract record associated with the sold product covered. Data type: String Table: Service Contract \[sn_pss_core_service_contract\] |
| service_contract_lines.​child_contract_lines.​sold_products_covered.​entitlement | Sys_id of the entitlement record associated with the sold product covered. Data type: String Table: Entitlement \[service_entitlement\] |
| service_contract_lines.​child_contract_lines.​sold_products_covered.​removed | Date that the associated service contract ends coverage of the associated product. Data type: String Format: yyyy-mm-dd Default: No end date |
| service_contract_lines.​child_contract_lines.​sold_products_covered.​service_contract_line | Sys_id of the service contract line record associated with the sold product covered. Data type: String Table: Service Contract Line \[sn_pss_core_service_contract_line\] |
| service_contract_lines.​child_contract_lines.​sold_products_covered.​sold_product | Sys_id of the product covered by the service contract. Data type: String Table: Sold Product \[sn_install_base_sold_product\] |
| service_contract_lines.​child_contract_lines.​sold_products_covered.​sys_created_by | Name of the user that created the sold product covered record. Data type: String |
| service_contract_lines.​child_contract_lines.​sold_products_covered.​sys_created_on | Date and time that the sold product covered record was created. Data type: String |
| service_contract_lines.​child_contract_lines.​sold_products_covered.​sys_id | Sys_id of the product covered by this service contract. Data type: String Table: Sold Product Covered \[sn_install_base_m2m_contract_sold_product\] |
| service_contract_lines.​child_contract_lines.​sold_products_covered.​sys_updated_by | Name of the user that last updated the sold product covered record. Data type: String |
| service_contract_lines.​child_contract_lines.​sold_products_covered.​sys_updated_on | Name of the user that last updated the sold product covered record. Data type: String |
| service_contract_lines.​child_contract_lines.​starts | Start date of the child service contract line. Data type: String Format: yyyy-mm-dd |
| service_contract_lines.​child_contract_lines.​sys_created_by | Name of the user that created the child service contract line record. Data type: String |
| service_contract_lines.​child_contract_lines.​sys_created_on | Date and time that the child service contract line record was created. Data type: String |
| service_contract_lines.​child_contract_lines.​sys_id | Sys_id of a child service contract line record. Data type: String Table: Service Contract Line \[sn_pss_core_service_contract_line\] |
| service_contract_lines.​child_contract_lines.​sys_updated_by | Name of the user that last updated the child service contract line record. Data type: String |
| service_contract_lines.​child_contract_lines.​sys_updated_on | Date and time that the child service contract line record was last updated. Data type: String |
| service_contract_lines.​contract | Sys_id of the service contract associated with the service contract line. Data type: String Table: Service Contract \[sn_pss_core_service_contract\] |
| service_contract_lines.​ends | Date on which the service contract line ends. Data type: String Format: yyyy-mm-dd Default: Never ends until manually removed. |
| service_contract_lines.​entitlements | List of entitlements associated with the service contract. Data type: Array of Objects "entitlements": [ { "account": "String", "consumer": "String", "contract": "String", "end_date": "String", "entitlement_characteristics": [Array], "entitlement_name": "String", "household": "String", "install_base_items_covered": [Array], "product": "String", "product_offering": "String", "product_specification": "String", "service_contract_line": "String", "sold_entitlement": "String", "sold_products_covered": [Array], "start_date": "String", "state": "String", "sys_created_by": "String", "sys_created_on": "String", "sys_id": "String", "sys_updated_by": "String", "sys_updated_on": "String" } ] Table: Entitlement \[service_entitlement\] |
| service_contract_lines.​entitlements.​account | Sys_id of the account record to which the entitlement belongs. Data type: String Table: Account \[customer_account\] |
| service_contract_lines.​entitlements.​consumer | Sys_id of the consumer record to which the entitlement belongs. Data type: String Table: Consumer \[csm_consumer\] |
| service_contract_lines.​entitlements.​contract | Sys_id of the contract record to which the entitlement belongs. Data type: String Table: Service Contract \[sn_pss_core_service_contract\] |
| service_contract_lines.​entitlements.​end_date | End date of the entitlement. Data type: String Format: yyyy-mm-dd Default: Never ends until manually removed. |
| service_contract_lines.​entitlements.​entitlement_characteristics | List of characteristics associated with the entitlement. Data type: Array of Objects "entitlement_characteristics": [ { "characteristic": "String", "characteristic_option": "String", "entitlement": "String", "entitlement_usage": [Array] "service_contract_line": "String", "sys_created_by": "String", "sys_created_on": "String", "sys_id": "String", "sys_updated_by": "String", "sys_updated_on": "String", "type": "String", "value": "String" } ] Table: Characteristic \[sn_pss_core_entitlement_characteristic\] |
| service_contract_lines.​entitlements.​entitlement_characteristics.characteristic | Sys_id of the characteristic record associated with the entitlement. Data type: String Table: Characteristic \[sn_prd_pm_characteristic\] |
| service_contract_lines.​entitlements.​entitlement_characteristics.characteristic_option | Sys_id of the characteristic option record associated with the entitlement. Data type: String Table: Characteristic Option \[sn_prd_pm_characteristic_option\] |
| service_contract_lines.​entitlements.​entitlement_characteristics.​entitlement | Sys_id of the associated entitlement record. Data type: String Table: Entitlement \[service_entitlement\] |
| service_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage | List of usage values for the associated product. Data type: Array of Objects "entitlement_usage": [ { "entitlement": "String", "entitlement_characteristic": "String", "period_end": "String", "period_start": "String", "sys_created_by": "String", "sys_created_on": "String", "sys_id": "String", "sys_updated_by": "String", "sys_update_on": "String", "total_units": "String", "used_units": "String" } ] |
| service_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​entitlement | Sys_id of the entitlement record associated with the entitlement usage. Data type: String Table: Entitlement \[service_entitlement\] |
| service_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​entitlement_characteristic | Sys_id of the entitlement characteristic record associated with the entitlement usage. Data type: String Table: Characteristic \[sn_pss_core_entitlement_characteristic\] |
| service_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​period_end | End date when the entitlement usage is no longer tracked. Data type: String Format: yyyy-mm-dd |
| service_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​period_start | Starting date of when the entitlement usage is tracked. Data type: String Format: yyyy-mm-dd |
| service_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​sys_created_by | Name of the user that created the entitlement usage record. Data type: String |
| service_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​sys_created_on | Date and time that the entitlement usage record was created. Data type: String |
| service_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​sys_id | Sys_id of the entitlement usage record. Data type: String Table: Entitlement Usage \[sn_pss_core_entitlement_usage\] |
| service_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​sys_updated_by | Name of the user that last updated the entitlement usage record. Data type: String |
| service_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​sys_updated_on | Date and time that the entitlement usage record was last updated. Data type: String |
| service_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​total_units | Total coverage value of the associated entitlement characteristic. Data type: String |
| service_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​used_units | Number of units used by the account or consumer between the period_start and the period_end. Data type: String |
| service_contract_lines.​entitlements.​entitlement_characteristics.​service_contract_line | Sys_id of the service contract line record associated with the entitlement characteristic. Data type: String Table: Service Contract Line \[sn_pss_core_service_contract_line\] |
| service_contract_lines.​entitlements.​entitlement_characteristics.​sys_created_by | Name of the user that created the entitlement characteristics record. Data type: String |
| service_contract_lines.​entitlements.​entitlement_characteristics.​sys_created_on | Date and time that the entitlement characteristics record was created. Data type: String |
| service_contract_lines.​entitlements.​entitlement_characteristics.​sys_id | Sys_id of the entitlement characteristics record. Data type: String |
| service_contract_lines.​entitlements.​entitlement_characteristics.​sys_updated_by | Name of the user that last updated the entitlement characteristics record. Data type: String |
| service_contract_lines.​entitlements.​entitlement_characteristics.​sys_updated_on | Date and time that the entitlement characteristics record was last updated. Data type: String |
| service_contract_lines.​entitlements.​entitlement_characteristics.type | Type of entitlement characteristic. Valid values: * coverage * coverage_and_usage Data type: String |
| service_contract_lines.​entitlements.​entitlement_characteristics.​value | Value of the characteristic. Data type: String |
| service_contract_lines.​entitlements.​entitlement_name | Name of the entitlement. Data type: String |
| service_contract_lines.​entitlements.​household | Sys_id of the household record associated with the entitlement. Data type: String Table: Household \[csm_household\] |
| service_contract_lines.​entitlements.​install_base_items_covered | List of install base items covered under the service contract line. Data type: Array of Objects "install_base_items_covered": [ { "added": "String", "contract": "String", "entitlement": "String", "install_base": "String", "removed": "String", "service_contract_line": "String", "sys_created_by": "String", "sys_created_on": "String", "sys_id": "String", "sys_updated_by": "String", "sys_updated_on": "String" } ] |
| service_contract_lines.​entitlements.​install_base_items_covered.​added | Date that the associated install base item was added to the entitlement. Data type: String |
| service_contract_lines.​entitlements.​install_base_items_covered.​contract | Sys_id of the service contract record associated with the install base item. Data type: String Table: Service Contract \[sn_pss_core_service_contract\] |
| service_contract_lines.​entitlements.​install_base_items_covered.​entitlement | Sys_id of the entitlement record associated with the install base item. Data type: String Table: Entitlement \[service_entitlement\] |
| service_contract_lines.​entitlements.​install_base_items_covered.​install_base | Sys_id of the associated install base item record. Data type: String Table: Install Base Item \[sn_install_base_item\] |
| service_contract_lines.​entitlements.​install_base_items_covered.​removed | Date that the associated install base item was removed from the entitlement. Data type: String |
| service_contract_lines.​entitlements.​install_base_items_covered.​service_contract_line | Sys_id of the associated service contract line record. Data type: String Table: Service Contract Line \[sn_pss_core_service_contract_line\] |
| service_contract_lines.​entitlements.​install_base_items_covered.​sys_created_by | Name of the user that created the install base item record. Data type: String |
| service_contract_lines.​entitlements.​install_base_items_covered.​sys_created_on | Date and time that the install base item record was created. Data type: String |
| service_contract_lines.​entitlements.​install_base_items_covered.​sys_id | Sys_id of the install base item covered. Data type: String Table: Sold Product Covered \[sn_install_base_m2m_contract_sold_product\] |
| service_contract_lines.​entitlements.​install_base_items_covered.​sys_updated_by | Name of the user that last updated the install base item record. Data type: String |
| service_contract_lines.​entitlements.​install_base_items_covered.​sys_updated_on | Date and time that the install base item record was last updated. Data type: String |
| service_contract_lines.​entitlements.​product | Sys_id of the product model record associated with the entitlement. Data type: String Table: Product Model \[cmdb_model\] |
| service_contract_lines.​entitlements.​product_offering | Sys_id of the product offering record associated with the entitlement. Data type: String Table: Product Offering \[sn_prd_pm_product_offering\] |
| service_contract_lines.​entitlements.​product_specification | Sys_id of the product specification record associated with the entitlement. Data type: String Table: Product Specification \[sn_prd_pm_product_specification\] |
| service_contract_lines.​entitlements.​service_contract_line | Sys_id of the service contract line record associated with the entitlement. Data type: String Table: Service Contract Line \[sn_pss_core_service_contract_line\] |
| service_contract_lines.​entitlements.​sold_entitlement | Sys_id of the sold product record associated with the entitlement. Data type: String Table: Sold Product \[sn_install_base_sold_product\] |
| service_contract_lines.​entitlements.​sold_products_covered | List of products covered. Data type: Array of Objects "sold_products_covered": [ { "added": "String", "contract": "String", "entitlement": "String", "removed": "String", "service_contract_line": "String", "sold_product": "String", "sys_created_by": "String", "sys_created_on": "String", "sys_id": "String", "sys_updated_by": "String", "sys_updated_on": "String" } ] Table: Sold Product Covered \[sn_install_base_m2m_contract_sold_product\] |
| service_contract_lines.​entitlements.​sold_products_covered.​added | Date that the associated sold product was added to the entitlement. Data type: String Format: yyyy-mm-dd Default: Current date |
| service_contract_lines.​entitlements.​sold_products_covered.​contract | Sys_id of the service contract record associated with the sold product covered. Data type: String Table: Service Contract \[sn_pss_core_service_contract\] |
| service_contract_lines.​entitlements.​sold_products_covered.​entitlement | Sys_id of the entitlement record associated with the sold product covered. Data type: String Table: Entitlement \[service_entitlement\] |
| service_contract_lines.​entitlements.​sold_products_covered.removed | Date that the associated sold product was removed from the entitlement. Data type: String Format: yyyy-mm-dd Default: No end date |
| service_contract_lines.​entitlements.​sold_products_covered.​service_contract_line | Sys_id of the service contract line record associated with the sold product covered. Data type: String Table: Service Contract Line \[sn_pss_core_service_contract_line\] |
| service_contract_lines.​entitlements.​sold_products_covered.​sold_product | Sys_id of the product covered by the entitlement. Data type: String Table: Sold Product \[sn_install_base_sold_product\] |
| service_contract_lines.​entitlements.​sold_products_covered.​sys_created_by | Name of the user that created the sold product covered record. Data type: String |
| service_contract_lines.​entitlements.​sold_products_covered.​sys_created_on | Date and time that the sold product covered record was created. Data type: String |
| service_contract_lines.​entitlements.​sold_products_covered.​sys_id | Sys_id of the product covered by this service contract. Data type: String Table: Sold Product Covered \[sn_install_base_m2m_contract_sold_product\] |
| service_contract_lines.​entitlements.​sold_products_covered.​sys_updated_by | Name of the user that last updated the sold product covered record. Data type: String |
| service_contract_lines.​entitlements.​sold_products_covered.​sys_updated_on | Date and time that the sold product covered record was last updated. Data type: String |
| service_contract_lines.​entitlements.​start_date | Start date of the entitlement. Data type: String Format: yyyy-mm-dd |
| service_contract_lines.​entitlements.​state | Current state of the entitlement. Valid values: (case-sensitive) * active * cancelled * draft * expired * suspended Data type: String |
| service_contract_lines.​entitlements.​sys_created_by | Name of the user that created the entitlement record. Data type: String |
| service_contract_lines.​entitlements.​sys_created_on | Date and time that the entitlement record was created. Data type: String |
| service_contract_lines.​entitlements.​sys_id | Sys_id of the associated entitlement record. Data type: String Table: Entitlement \[service_entitlement\] |
| service_contract_lines.​entitlements.​sys_updated_by | Name of the user that last updated the entitlement record. Data type: String |
| service_contract_lines.​entitlements.​sys_updated_on | Date and time that the entitlement record was created. Data type: String |
| service_contract_lines.​entitlement_characteristics | List of characteristics associated with the service contract line. Data type: Array of Objects "entitlement_characteristics": [ { "characteristic": "String", "characteristic_option": "String", "entitlement": "String", "entitlement_usage": [Array], "service_contract_line": "String", "sys_created_by": "String", "sys_created_on": "String", "sys_id": "String", "sys_updated_by": "String", "sys_updated_on": "String", "type": "String", "value": "String" } ] Table: Characteristic \[sn_pss_core_entitlement_characteristic\] |
| service_contract_lines.​entitlement_characteristics.characteristic | Sys_id of the characteristic record associated with the entitlement. Data type: String Table: Characteristic \[sn_prd_pm_characteristic\] |
| service_contract_lines.​entitlement_characteristics.characteristic_option | Sys_id of the characteristic option record associated with the entitlement. Data type: String Table: Characteristic Option \[sn_prd_pm_characteristic_option\] |
| service_contract_lines.​entitlement_characteristics.​entitlement | Sys_id of the associated entitlement record. Data type: String Table: Entitlement \[service_entitlement\] |
| service_contract_lines.​entitlement_characteristics.​entitlement_usage | List of usage values for the associated product. Data type: Array of Objects "entitlement_usage": [ { "entitlement": "String", "entitlement_characteristic": "String", "period_end": "String", "period_start": "String", "service_contract_line": "String", "sys_created_by": "String", "sys_created_on": "String", "sys_id": "String", "sys_updated_by": "String", "sys_update_on": "String", "total_units": "String", "used_units": "String" } ] |
| service_contract_lines.​entitlement_characteristics.​entitlement_usage.​entitlement | Sys_id of the entitlement record associated with the entitlement usage. Data type: String Table: Entitlement \[service_entitlement\] |
| service_contract_lines.​entitlement_characteristics.​entitlement_usage.​entitlement_characteristic | Sys_id of the entitlement characteristic record associated with the entitlement usage. Data type: String Table: Characteristic \[sn_pss_core_entitlement_characteristic\] |
| service_contract_lines.​entitlement_characteristics.​entitlement_usage.​period_end | End date when the entitlement usage is no longer tracked. Data type: String Format: yyyy-mm-dd |
| service_contract_lines.​entitlement_characteristics.​entitlement_usage.​period_start | Starting date of when the entitlement usage is tracked. Data type: String Format: yyyy-mm-dd |
| service_contract_lines.​entitlement_characteristics.​entitlement_usage.​sys_created_by | Name of the user that created the entitlement usage record. Data type: String |
| service_contract_lines.​entitlement_characteristics.​entitlement_usage.​sys_created_on | Date and time that the entitlement usage record was created. Data type: String |
| service_contract_lines.​entitlement_characteristics.​entitlement_usage.​sys_id | Sys_id of the entitlement usage record. Data type: String Table: Entitlement Usage \[sn_pss_core_entitlement_usage\] |
| service_contract_lines.​entitlement_characteristics.​entitlement_usage.​sys_updated_by | Name of the user that last updated the entitlement usage record. Data type: String |
| service_contract_lines.​entitlement_characteristics.​entitlement_usage.​sys_updated_on | Date and time that the entitlement usage record was last updated. Data type: String |
| service_contract_lines.​entitlement_characteristics.​entitlement_usage.​total_units | Total number of units purchased. Data type: String |
| service_contract_lines.​entitlement_characteristics.​entitlement_usage.​used_units | Number of units that have been used. Data type: String |
| service_contract_lines.​entitlement_characteristics.​service_contract_line | Sys_id of the service contract line record associated with the entitlement characteristic. Data type: String Table: Service Contract Line \[sn_pss_core_service_contract_line\] |
| service_contract_lines.​entitlement_characteristics.​sys_created_by | Name of the user that created the entitlement characteristics record. Data type: String |
| service_contract_lines.​entitlement_characteristics.​sys_created_on | Date and time that the entitlement characteristics record was created. Data type: String |
| service_contract_lines.​entitlement_characteristics.​sys_id | Sys_id of the entitlement characteristics record. Data type: String |
| service_contract_lines.​entitlement_characteristics.​sys_updated_by | Name of the user that last updated the entitlement characteristics record. Data type: String |
| service_contract_lines.​entitlement_characteristics.​sys_updated_on | Date and time that the entitlement characteristics record was last updated. Data type: String |
| service_contract_lines.​entitlement_characteristics.type | Type of entitlement characteristic. Valid values: * coverage * coverage_and_usage Data type: String |
| service_contract_lines.​entitlement_characteristics.value | Value of the characteristic. Data type: String |
| service_contract_lines.​install_base_items_covered | List of install base items covered under the  service contract line. Data type: Array of Objects "install_base_items_covered": [ { "added": "String", "contract": "String", "entitlement": "String", "install_base": "String", "removed": "String", "service_contract_line": "String", "sys_created_by": "String", "sys_created_on": "String", "sys_id": "String", "sys_updated_by": "String", "sys_updated_on": "String" } ] Table: Sold Product Covered  \[sn_install_base_m2m_contract_sold_product\] |
| service_contract_lines.​install_base_items_covered.​added | Date that the associated install base item was added to the service contract line. Data type: String |
| service_contract_lines.​install_base_items_covered.​contract | Sys_id of the service contract record associated with the install base item. Data type: String Table: Service Contract \[sn_pss_core_service_contract\] |
| service_contract_lines.​install_base_items_covered.​entitlement | Sys_id of the entitlement record associated with the install base item. Data type: String Table: Entitlement \[service_entitlement\] |
| service_contract_lines.​install_base_items_covered.​install_base | Sys_id of the install base item covered by the service contract line. Data type: String Table: Install Base Item \[sn_install_base_item\] |
| service_contract_lines.​install_base_items_covered.​removed | Date that the associated service contract line ends coverage of the install base item. Data type: String |
| service_contract_lines.​install_base_items_covered.​service_contract_line | Sys_id of the associated service contract line record. Data type: String Table: Service Contract Line \[sn_pss_core_service_contract_line\] |
| service_contract_lines.​install_base_items_covered.​sys_created_by | Name of the user that created the install base item record. Data type: String |
| service_contract_lines.​install_base_items_covered.​sys_created_on | Date and time that the install base item record was created. Data type: String |
| service_contract_lines.​install_base_items_covered.​sys_id | Sys_id of the install base item covered. Data type: String Table: Sold Product Covered \[sn_install_base_m2m_contract_sold_product\] |
| service_contract_lines.​install_base_items_covered.​sys_updated_by | Name of the user that last updated the install base item record. Data type: String |
| service_contract_lines.​install_base_items_covered.​sys_updated_on | Date and time that the install base item record was last updated. Data type: String |
| service_contract_lines.​name | Name of the service contract line. Data type: String |
| service_contract_lines.​number | Unique number of the service contract line. Automatically generated by the endpoint. For example: CTRL9812347. Data type: String |
| service_contract_lines.​parent_contract_line | Sys_id of the service contract line to which the current service contract line is a child of. Null for the contract lines created under a contract. Data type: String Table: Service Contract Line \[sn_pss_core_service_contract_line\] |
| service_contract_lines.​product_model | Sys_id of the product associated with the service contract line. Data type: String Table: Product Model \[cmdb_model\] |
| service_contract_lines.​product_offering | Sys_id of the product offering record associated with the service contract line. Data type: String Table: Product Offering \[sn_prd_pm_product_offering\] |
| service_contract_lines.​product_specification | Sys_id of the product specification record associated with the service contract line. Data type: String Table: Product Specification \[sn_prd_pm_product_specification\] |
| service_contract_lines.​sold_product | Sys_id of the sold product record associated with the service contract line. Data type: String Table: Sold Product \[sn_install_base_sold_product\] |
| service_contract_lines.​sold_products_covered | List of products covered. Data type: Array of Objects "sold_products_covered": [ { "added": "String", "contract": "String", "entitlement": "String", "removed": "String", "service_contract_line": "String", "sold_product": "String", "sys_created_by": "String", "sys_created_on": "String", "sys_id": "String", "sys_updated_by": "String", "sys_updated_on": "String" } ] Table: Sold Product Covered \[sn_install_base_m2m_contract_sold_product\] |
| service_contract_lines.​sold_products_covered.​added | Date that the associated sold product was added to the service contract line. Data type: String Format: yyyy-mm-dd |
| service_contract_lines.​sold_products_covered.​contract | Sys_id of the service contract record associated with the sold product covered. Data type: String Table: Service Contract \[sn_pss_core_service_contract\] |
| service_contract_lines.​sold_products_covered.​entitlement | Sys_id of the entitlement record associated with the sold product covered. Data type: String Table: Entitlement \[service_entitlement\] |
| service_contract_lines.​sold_products_covered.removed | Date that the associated sold product was removed from the service contract line. Data type: String Format: yyyy-mm-dd |
| service_contract_lines.​sold_products_covered.​service_contract_line | Sys_id of the service contract line record associated with the sold product covered. Data type: String Table: Service Contract Line \[sn_pss_core_service_contract_line\] |
| service_contract_lines.​sold_products_covered.​sold_product | Sys_id of the product covered by the entitlement. Data type: String Table: Sold Product \[sn_install_base_sold_product\] |
| service_contract_lines.​sold_products_covered.​sys_created_by | Name of the user that created the sold product covered record. Data type: String |
| service_contract_lines.​sold_products_covered.​sys_created_on | Date and time that the sold product covered record was created. Data type: String |
| service_contract_lines.​sold_products_covered.​sys_id | Sys_id of the product covered by this service contract. Data type: String Table: Sold Product Covered \[sn_install_base_m2m_contract_sold_product\] |
| service_contract_lines.​sold_products_covered.​sys_updated_by | Name of the user that last updated the sold product covered record. Data type: String |
| service_contract_lines.​sold_products_covered.​sys_updated_on | Date and time that the sold product covered record was last updated. Data type: String |
| service_contract_lines.​starts | Start date of the service contract line. Data type: String Format: yyyy-mm-dd |
| service_contract_lines.​state | Current state of the contract line. Valid values: (case-sensitive) * active * cancelled * draft * expired * suspended Data type: String |
| service_contract_lines.​sys_created_by | Name of the user that created the service contract line record. Data type: String |
| service_contract_lines.​sys_created_on | Date and time that the service contract line record was created. Data type: String |
| service_contract_lines.​sys_id | Sys_id of a service contract line record. Data type: String Table: Service Contract Line \[sn_pss_core_service_contract_line\] |
| service_contract_lines.​sys_updated_by | Name of the user that last updated the service contract line record. Data type: String |
| service_contract_lines.​sys_updated_on | Date and time that the service contract line record was last updated. Data type: String |
| short_description | Brief description or name of the service contract. Data type: String |
| sold_products_covered | List of products covered. Data type: Array of Objects "sold_products_covered": [ { "added": "String", "contract": "String", "entitlement": "String", "removed": "String", "service_contract_line": "String", "sold_product": "String", "sys_created_by": "String", "sys_created_on": "String", "sys_id": "String", "sys_updated_by": "String", "sys_updated_on": "String" } ] Table: Sold Product Covered \[sn_install_base_m2m_contract_sold_product\] |
| sold_products_covered.​added | Date that the associated sold product was added to the contract. Data type: String |
| sold_products_covered.​contract | Sys_id of the service contract record associated with the sold product covered. Data type: String Table: Service Contract \[sn_pss_core_service_contract\] |
| sold_products_covered.​entitlement | Sys_id of the entitlement record associated with the sold product covered. Data type: String Table: Entitlement \[service_entitlement\] |
| sold_products_covered.​removed | Date that the associated sold product was removed from the contract. Data type: String |
| sold_products_covered.​service_line_contract | Sys_id of the service contract line record associated with the sold product covered. Data type: String Table: Service Contract Line \[sn_pss_core_service_contract_line\] |
| sold_products_covered.​sold_product | Sys_id of the product covered by the service contract. Data type: String Table: Sold Product \[sn_install_base_sold_product\] |
| sold_products_covered.​sys_created_by | Name of the user that created the sold product covered record. Data type: String |
| sold_products_covered.​sys_created_on | Date and time that the sold product covered record was created. Data type: String |
| sold_products_covered.​sys_id | Sys_id of the product covered by this service contract. Data type: String Table: Sold Product Covered \[sn_install_base_m2m_contract_sold_product\] |
| sold_products_covered.​sys_updated_by | Name of the user that last updated the sold product covered record. Data type: String |
| sold_products_covered.​sys_updated_on | Date and time that the sold product covered record was last updated. Data type: String |
| starts | Date on which the service contract begins. Data type: String Format: yyyy-mm-dd Default: Starts as soon as approved. |
| state | Current state of the service contract. Valid values: (case-sensitive) * active * cancelled * draft * expired Data type: String |
| sys_created_by | Name of the user that created the service contract record. Data type: String |
| sys_created_on | Date and time that the service contract was created record. Data type: String |
| sys_id | Sys_id of the service contract record. Data type: String Table: Service Contract \[sn_pss_core_service_contract\] |
| sys_updated_by | Name of the user that last updated the service contract record. Data type: String |
| sys_updated_on | Date and time that the service contract record was last updated. Data type: String |
| vendor_contract | Unique identifier for an associated external contract. Data type: String |
[ ]

### cURL request

The following code example shows how to call this endpoint.

    curl "https://instance.servicenow.com/api/sn_pss_core/servicecontract/fc73d2de89226110f877430a4e008add" \
    --request GET \
    --header "Accept:application/json" \
    --user "username":"password"

Response:

    {
      "result": {
        "sys_id": "d8641151d1f53110f8776589fa411fde",
        "sys_created_by": "admin",
        "sys_updated_by": "admin",
        "sys_created_on": "2023-10-09 11:27:29",
        "sys_updated_on": "2023-10-09 11:27:29",
        "account": "4c325111d1f53110f8776589fa411f3d",
        "consumer": null,
        "household": null,
        "number": "CNTR0010004",
        "state": "active",
        "starts": "2022-12-03",
        "ends": "",
        "short_description": null,
        "vendor_contract": "External Reference",
        "service_contract_lines": [
          {
            "sys_id": "d4641d91d1f53110f8776589fa411fbb",
            "sys_created_by": "admin",
            "sys_updated_by": "admin",
            "sys_created_on": "2023-10-09 11:27:29",
            "sys_updated_on": "2023-10-09 11:27:29",
            "name": "CLI",
            "number": "CNTRL0000001",
            "contract": "d8641151d1f53110f8776589fa411fde",
            "parent_contract_line": null,
            "sold_product": null,
            "starts": "2022-12-03",
            "ends": "",
            "product_offering": null,
            "product_specification": null,
            "product_model": null,
            "child_contract_lines": [
              {
                "sys_id": "3a39ecdc01154f4ab782da0169c9c922",
                "sys_created_by": "admin",
                "sys_updated_by": "admin",
                "sys_created_on": "2023-10-09 11:27:29",
                "sys_updated_on": "2023-10-09 11:27:29",
                "name": "Child CLI",
                "number": "CNTRL0000002",
                "contract": "d8641151d1f53110f8776589fa411fde",
                "parent_contract_line": "d4641d91d1f53110f8776589fa411fbb",
                "sold_product": null,
                "starts": "2022-12-03",
                "ends": "",
                "product_offering": null,
                "product_specification": null,
                "product_model": null,
                "child_contract_lines": [],
                "entitlements": [
                  {
                    "sys_id": "7439fd84c2494ba6951e58f333cfe8d4",
                    "sys_created_by": "admin",
                    "sys_updated_by": "admin",
                    "sys_created_on": "2023-10-09 11:27:29",
                    "sys_updated_on": "2023-10-09 11:27:29",
                    "entitlement_name": "Child CLI - ENTL",
                    "account": "4c325111d1f53110f8776589fa411f3d",
                    "consumer": null,
                    "household": null,
                    "contract": "d8641151d1f53110f8776589fa411fde",
                    "service_contract_line": "3a39ecdc01154f4ab782da0169c9c922",
                    "state": "active",
                    "product_offering": null,
                    "product_specification": null,
                    "sold_entitlement": null,
                    "product": null,
                    "start_date": "2022-12-03",
                    "end_date": "",
                    "entitlement_characteristics": [],
                    "sold_products_covered": [],
                    "install_base_items_covered": []
                  }
                ],
                "sold_products_covered": [
                  {
                    "sys_id": "dfb62e9c4c6843009be02a68f65b9118",
                    "sys_created_by": "admin",
                    "sys_updated_by": "admin",
                    "sys_created_on": "2023-10-09 11:27:29",
                    "sys_updated_on": "2023-10-09 11:27:29",
                    "contract": "d8641151d1f53110f8776589fa411fde",
                    "service_contract_line": "d4641d91d1f53110f8776589fa411fbb",
                    "entitlement": null,
                    "sold_product": "ec235d9dd1b53110f8776589fa411fe2",
                    "added": "2023-12-03",
                    "removed": "2023-12-03"
                  }
                ],
                "install_base_items_covered": [
                  {
                    "sys_id": "2583912e81964501b52a2e44d4797a28",
                    "sys_created_by": "admin",
                    "sys_updated_by": "admin",
                    "sys_created_on": "2023-10-09 11:27:29",
                    "sys_updated_on": "2023-10-09 11:27:29",
                    "contract": "d8641151d1f53110f8776589fa411fde",
                    "service_contract_line": "d4641d91d1f53110f8776589fa411fbb",
                    "entitlement": null,
                    "install_base": "a1731551d1f53110f8776589fa411f8d",
                    "added": "2023-12-03",
                    "removed": "2023-12-03"
                  }
                ],
                "entitlement_characteristics": [
                  {
                    "sys_id": "3a00c975bb49412cae169200c7f6236e",
                    "sys_created_by": "admin",
                    "sys_updated_by": "admin",
                    "sys_created_on": "2023-10-09 11:27:29",
                    "sys_updated_on": "2023-10-09 11:27:29",
                    "service_contract_line": "d4641d91d1f53110f8776589fa411fbb",
                    "entitlement": null,
                    "characteristic_option": "495149b7539e61106bfcddeeff7b1262",
                    "value": "5",
                    "characteristic": "63418db7539e61106bfcddeeff7b1238",
                    "type": "coverage"
                  }
                ]
              }
            ],
            "entitlements": [
              {
                "sys_id": "a8641d91d1f53110f8776589fa411fc0",
                "sys_created_by": "admin",
                "sys_updated_by": "admin",
                "sys_created_on": "2023-10-09 11:27:29",
                "sys_updated_on": "2023-10-09 11:27:29",
                "entitlement_name": "ENTL",
                "account": "4c325111d1f53110f8776589fa411f3d",
                "consumer": null,
                "household": null,
                "contract": "d8641151d1f53110f8776589fa411fde",
                "service_contract_line": "d4641d91d1f53110f8776589fa411fbb",
                "state": "active",
                "product_offering": null,
                "product_specification": null,
                "sold_entitlement": null,
                "product": null,
                "start_date": "2022-12-03",
                "end_date": "",
                "sold_products_covered": [
                  {
                    "sys_id": "a0641d91d1f53110f8776589fa411fc2",
                    "sys_created_by": "admin",
                    "sys_updated_by": "admin",
                    "sys_created_on": "2023-10-09 11:27:29",
                    "sys_updated_on": "2023-10-09 11:27:29",
                    "contract": "d8641151d1f53110f8776589fa411fde",
                    "service_contract_line": "d4641d91d1f53110f8776589fa411fbb",
                    "entitlement": "a8641d91d1f53110f8776589fa411fc0",
                    "sold_product": "da23d151d1f53110f8776589fa411f27",
                    "added": "",
                    "removed": ""
                  }
                ],
                "install_base_items_covered": [
                  {
                    "sys_id": "e0641d91d1f53110f8776589fa411fc3",
                    "sys_created_by": "admin",
                    "sys_updated_by": "admin",
                    "sys_created_on": "2023-10-09 11:27:29",
                    "sys_updated_on": "2023-10-09 11:27:29",
                    "contract": "d8641151d1f53110f8776589fa411fde",
                    "service_contract_line": "d4641d91d1f53110f8776589fa411fbb",
                    "entitlement": "a8641d91d1f53110f8776589fa411fc0",
                    "install_base": "43739151d1f53110f8776589fa411fc1",
                    "added": "2023-12-03",
                    "removed": "2023-12-03"
                  }
                ],
                "entitlement_characteristics": [
                  {
                    "sys_id": "a8641d91d1f53110f8776589fa411fd0",
                    "sys_created_by": "admin",
                    "sys_updated_by": "admin",
                    "sys_created_on": "2023-10-09 11:27:29",
                    "sys_updated_on": "2023-10-09 11:27:29",
                    "service_contract_line": null,
                    "entitlement": "a8641d91d1f53110f8776589fa411fc0",
                    "characteristic_option": "495149b7539e61106bfcddeeff7b1262",
                    "value": "5",
                    "characteristic": "63418db7539e61106bfcddeeff7b1238",
                    "type": "coverage_and_usage",
                    "entitlement_usage": [
                      {
                        "sys_id": "a8641d91d1f53110f8776589fa411fd1",
                        "sys_created_by": "admin",
                        "sys_updated_by": "admin",
                        "sys_created_on": "2023-10-09 11:27:29",
                        "sys_updated_on": "2023-10-09 11:27:29",
                        "entitlement": "a8641d91d1f53110f8776589fa411fc0",
                        "service_contract_line": null,
                        "entitlement_characteristic": "a8641d91d1f53110f8776589fa411fd0",
                        "period_start": "2022-12-03",
                        "period_end": "",
                        "total_units": "5",
                        "used_units": "3"
                      }
                    ]
                  }
                ]
              }
            ],
            "sold_products_covered": [
              {
                "sys_id": "98641d91d1f53110f8776589fa411fbc",
                "sys_created_by": "admin",
                "sys_updated_by": "admin",
                "sys_created_on": "2023-10-09 11:27:29",
                "sys_updated_on": "2023-10-09 11:27:29",
                "contract": "d8641151d1f53110f8776589fa411fde",
                "service_contract_line": "d4641d91d1f53110f8776589fa411fbb",
                "entitlement": null,
                "sold_product": "ec235d9dd1b53110f8776589fa411fe2",
                "added": "2023-12-03",
                "removed": "2023-12-03"
              }
            ],
            "install_base_items_covered": [
              {
                "sys_id": "58641d91d1f53110f8776589fa411fbd",
                "sys_created_by": "admin",
                "sys_updated_by": "admin",
                "sys_created_on": "2023-10-09 11:27:29",
                "sys_updated_on": "2023-10-09 11:27:29",
                "contract": "d8641151d1f53110f8776589fa411fde",
                "service_contract_line": "d4641d91d1f53110f8776589fa411fbb",
                "entitlement": null,
                "install_base": "a1731551d1f53110f8776589fa411f8d",
                "added": "2023-12-03",
                "removed": "2023-12-03"
              }
            ],
            "entitlement_characteristics": [
              {
                "sys_id": "e0641d91d1f53110f8776589fa411fbf",
                "sys_created_by": "admin",
                "sys_updated_by": "admin",
                "sys_created_on": "2023-10-09 11:27:29",
                "sys_updated_on": "2023-10-09 11:27:29",
                "service_contract_line": "d4641d91d1f53110f8776589fa411fbb",
                "entitlement": null,
                "characteristic_option": "495149b7539e61106bfcddeeff7b1262",
                "value": "5",
                "characteristic": "63418db7539e61106bfcddeeff7b1238",
                "type": "coverage"
              }
            ]
          },
          {
            "sys_id": "e4641d91d1f53110f8776589fa411fd2",
            "sys_created_by": "admin",
            "sys_updated_by": "admin",
            "sys_created_on": "2023-10-09 11:27:29",
            "sys_updated_on": "2023-10-09 11:27:29",
            "name": "CLI 2",
            "number": "CNTRL0000003",
            "contract": "d8641151d1f53110f8776589fa411fde",
            "parent_contract_line": null,
            "sold_product": null,
            "starts": "2022-12-03",
            "ends": "",
            "product_offering": null,
            "product_specification": null,
            "product_model": null,
            "child_contract_lines": [],
            "entitlements": [],
            "sold_products_covered": [
              {
                "sys_id": "e8641d91d1f53110f8776589fa411fd3",
                "sys_created_by": "admin",
                "sys_updated_by": "admin",
                "sys_created_on": "2023-10-09 11:27:29",
                "sys_updated_on": "2023-10-09 11:27:29",
                "contract": "d8641151d1f53110f8776589fa411fde",
                "service_contract_line": "e4641d91d1f53110f8776589fa411fd2",
                "entitlement": null,
                "sold_product": "7f23995dd1b53110f8776589fa411f66",
                "added": "2023-12-03",
                "removed": "2023-12-03"
              }
            ],
            "install_base_items_covered": [
              {
                "sys_id": "a8641d91d1f53110f8776589fa411fd4",
                "sys_created_by": "admin",
                "sys_updated_by": "admin",
                "sys_created_on": "2023-10-09 11:27:29",
                "sys_updated_on": "2023-10-09 11:27:29",
                "contract": "d8641151d1f53110f8776589fa411fde",
                "service_contract_line": "e4641d91d1f53110f8776589fa411fd2",
                "entitlement": null,
                "install_base": "a483d951d1f53110f8776589fa411fad",
                "added": "2023-12-03",
                "removed": "2023-12-03"
              }
            ],
            "entitlement_characteristics": [
              {
                "sys_id": "a8641d91d1f53110f8776589fa411fd5",
                "sys_created_by": "admin",
                "sys_updated_by": "admin",
                "sys_created_on": "2023-10-09 11:27:29",
                "sys_updated_on": "2023-10-09 11:27:29",
                "service_contract_line": "e4641d91d1f53110f8776589fa411fd2",
                "entitlement": null,
                "characteristic_option": "495149b7539e61106bfcddeeff7b1262",
                "value": "5",
                "characteristic": "63418db7539e61106bfcddeeff7b1238",
                "type": "coverage"
              }
            ]
          }
        ],
        "sold_products_covered": [
          {
            "sys_id": "9c641d91d1f53110f8776589fa411fb9",
            "sys_created_by": "admin",
            "sys_updated_by": "admin",
            "sys_created_on": "2023-10-09 11:27:29",
            "sys_updated_on": "2023-10-09 11:27:29",
            "contract": "d8641151d1f53110f8776589fa411fde",
            "service_contract_line": null,
            "entitlement": null,
            "sold_product": "0df21151d1f53110f8776589fa411f1b",
            "added": "2023-12-03",
            "removed": "2023-12-03"
          }
        ],
        "install_base_items_covered": [
          {
            "sys_id": "d8641d91d1f53110f8776589fa411fba",
            "sys_created_by": "admin",
            "sys_updated_by": "admin",
            "sys_created_on": "2023-10-09 11:27:29",
            "sys_updated_on": "2023-10-09 11:27:29",
            "contract": "d8641151d1f53110f8776589fa411fde",
            "service_contract_line": null,
            "entitlement": null,
            "install_base": "e2639951d1f53110f8776589fa411f2b",
            "added": "2023-12-03",
            "removed": "2023-12-03"
          }
        ]
      }
    }

## Service Contract - GET /sn_pss_core/servicecontract/contractline/{id} {#ariaid-title3}

Retrieves the details of a specified service contract line record and its related entities.
This endpoint retrieves data in the following tables when processing the request:

* Characteristic \[sn_pss_core_entitlement_characteristic\]
* Entitlement \[service_entitlement\]
* Entitlement Usage \[sn_pss_core_entitlement_usage\]
* Sold Product Covered \[sn_install_base_m2m_contract_sold_product\] - This table contains information for both sold products covered and install base items covered.
* Service Contract Line \[sn_pss_core_service_contract_line\]
{#servcont-GET-servcon-contline__ul_owr_t3v_szb}

### URL format {#servcont-GET-servcon-contline__section_dlq_m44_mxb}

Versioned URL: /api/sn_pss_core/{api_version}/servicecontract/contractline/{id}

Default URL: /api/sn_pss_core/servicecontract/contractline/{id}  
Note:  
Available versions are specified in the [REST API Explorer](https://servicenow-prod.fluidtopics.net/vVGCZ52L2tydJq4~1jsWzg "In this tutorial you will use the REST API Explorer to test the ServiceNow REST APIs."). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://servicenow-prod.fluidtopics.net/x1EOw4mDLxo1z7QG_tlNhQ "The scripted REST API feature allows application developers to build custom web service APIs.").

### Supported request parameters

{#servcont-GET-servcon-contline__entry__2}{#servcont-GET-servcon-contline__version-not_optional-RESTAPI}

| Name | Description |
|-|-|
| api_version | Optional. Version of the endpoint to access. For example, <kbd class="ph userinput">v1</kbd> or <kbd class="ph userinput">v2</kbd>. Only specify this value to use an endpoint version other than the latest. Data type: String |
| id | Sys_id of the service contract line record to retrieve. Data type: String Table: Service Contract Line \[sn_pss_core_service_contract_line\] |
[Table 7. Path parameters]

{#servcont-GET-servcon-contline__entry__8}

| Name | Description |
|-|-|
| display_value | Type of data to return. Valid values: * false: Return the `value` for all fields. For example, `"state":"draft"`. * true: Return the `display_value` for all fields. For example, `"state":"Draft"` * all: Return all information for all fields. {#servcont-GET-servcon-contline__ul_ohj_gjv_szb} Data type: String Default: false |
[Table 8. Query parameters]

{#servcont-GET-servcon-contline__entry__12}

| Name | Description |
|-|-|
| None |   |
[Table 9. Request body parameters (XML or JSON)]

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#servcont-GET-servcon-contline__entry__16}{#servcont-GET-servcon-contline__accept-RESTAPI}

| Header | Description |
|-|-|
| Accept | Data format of the response body. Supported types: application/json or application/xml. Default: application/json |
[Table 10. Request headers]

{#servcont-GET-servcon-contline__entry__20}

| Header | Description |
|-|-|
| None |   |
[Table 11. Response headers]

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#servcont-GET-servcon-contline__entry__24}{#servcont-GET-servcon-contline__entry-200-status-code}{#servcont-GET-servcon-contline__entry-400-status-code}{#servcont-GET-servcon-contline__entry-404-status-code}{#servcont-GET-servcon-contline__entry-500-status-code}

| Status code | Description |
|-|-|
| 200 | Successful. The request was successfully processed. |
| 400 | Bad Request. A bad request type or malformed request was detected. |
| 403 | Forbidden. The user doesn't have permission to access the API. |
| 404 | Not found. The requested item wasn't found. |
| 500 | Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error. |
[Table 12. Status codes]

### Response body parameters (JSON or XML)

{#servcont-GET-servcon-contline__entry__36}

| Name | Description |
|-|-|
| child_contract_lines | List of child service contract lines associated with the service contract line. Data type: Array of Objects "child_contract_lines": [ { "child_contract_lines": [Array], "contract": "String", "ends": "String", "entitlements": [Array], "entitlement_characteristics": [Array], "install_base_items_covered": [Array], "name": "String", "number": "String", "parent_contract_line": "String", "product_model": "String", "product_offering": "String", "product_specification": "String", "sold_product": "String", "sold_products_covered": [Array], "starts": "String", "state": "String", "sys_created_by": "String", "sys_created_on": "String", "sys_id": "String", "sys_updated_by": "String", "sys_update_on": "String" } ] |
| child_contract_lines.​child_contract_lines | List of child service contract line objects created under the child service contract line. The objects in this array have the same elements as the objects in the child_contract_lines parameter. Data type: Array of Objects |
| child_contract_lines.​contract | Sys_id of the service contract associated with the child service contract line. Data type: String Table: Service Contract \[sn_pss_core_service_contract\] |
| child_contract_lines.​ends | Date on which the child service contract line ends. Data type: String Format: yyyy-mm-dd Default: Never ends until manually removed. |
| child_contract_lines.​entitlements | List of entitlements associated with the child service contract line. Data type: Array of Objects "entitlements": [ { "account": "String", "consumer": "String", "contract": "String", "end_date": "String", "entitlement_characteristics": [Array], "entitlement_name": "String", "household": "String", "install_base_items_covered": [Array], "product": "String", "product_offering": "String", "product_specification": "String", "service_contract_line": "String", "sold_entitlement": "String", "sold_products_covered": [Array], "start_date": "String", "state": "String", "sys_created_by": "String", "sys_created_on": "String", "sys_id": "String", "sys_updated_by": "String", "sys_updated_on": "String" } ] |
| child_contract_lines.​entitlements.​account | Sys_id of the account record to which the entitlement belongs. Data type: String Table: Account \[customer_account\] |
| child_contract_lines.​entitlements.​consumer | Sys_id of the consumer record to which the entitlement belongs. Data type: String Table: Consumer \[csm_consumer\] |
| child_contract_lines.​entitlements.​contract | Sys_id of the contract record to which the entitlement belongs. Data type: String Table: Service Contract \[sn_pss_core_service_contract\] |
| child_contract_lines.​entitlements.​end_date | End date of the entitlement. Data type: String Format: yyyy-mm-dd Default: Never ends until manually removed. |
| child_contract_lines.​entitlements.​entitlement_characteristics | List of characteristics associated with the entitlement. Data type: Array of Objects "entitlement_characteristics": [ { "characteristic": "String", "characteristic_option": "String", "entitlement": "String", "entitlement_usage": [Array], "service_contract_line": "String", "sys_created_by": "String", "sys_created_on": "String", "sys_id": "String", "sys_updated_by": "String", "sys_updated_on": "String" "type": "String", "value": "String" } ] |
| child_contract_lines.​entitlements.​entitlement_characteristics.​characteristic | Sys_id of the characteristic record associated with the entitlement. Data type: String Table: Characteristic \[sn_prd_pm_characteristic\] |
| child_contract_lines.​entitlements.​entitlement_characteristics.​characteristic_option | Sys_id of the characteristic option record associated with the entitlement. Data type: String Table: Characteristic Option \[sn_prd_pm_characteristic_option\] |
| child_contract_lines.​entitlements.​entitlement_characteristics.​entitlement | Sys_id of the entitlement record. Data type: String Table: Entitlement \[service_entitlement\] |
| child_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage | List of entitlement usages associated with the entitlement characteristic. Data type: Array of Objects "entitlement_usage": [ { "entitlement": "String", "entitlement_characteristic": "String", "period_end": "String", "period_start": "String", "service_contract_line": "String", "sys_created_by": "String", "sys_created_on": "String", "sys_id": "String", "sys_updated_by": "String", "sys_updated_on": "String", "total_units": "String", "used_units": "String" } ] |
| child_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​entitlement | Sys_id of the entitlement record associated with the entitlement usage. Data type: String Table: Entitlement \[service_entitlement\] |
| child_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​entitlement_characteristic | Sys_id of the entitlement characteristic record associated with the entitlement usage. Data type: String Table: Characteristic \[sn_pss_core_entitlement_characteristic\] |
| cchild_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​period_end | End date when the entitlement usage is no longer tracked. Data type: String Format: yyyy-mm-dd |
| child_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​period_start | Starting date of when the entitlement usage is tracked. Data type: String Format: yyyy-mm-dd |
| child_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​service_contract_line | Sys_id of the service contract line to which the current entitlement usage belongs. Data type: String Table: Service Contract Line \[sn_pss_core_service_contract_line\] |
| child_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​sys_created_by | Name of the user that created the entitlement usage record. Data type: String |
| child_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​sys_created_on | Date and time that the entitlement usage record was created. Data type: String |
| child_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​sys_id | Sys_id of the entitlement usage record. Data type: String Table: Entitlement Usage \[sn_pss_core_entitlement_usage\] |
| child_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​sys_updated_by | Name of the user that last updated the entitlement usage record. Data type: String |
| child_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​sys_updated_on | Date and time that the entitlement usage record was last updated. Data type: String |
| child_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​total_units | Total coverage value of the associated entitlement characteristic. Data type: String |
| child_contract_lines.​entitlements.​entitlement_characteristics.​entitlement_usage.​used_units | Number of units used by the account or consumer between the period_start and the period_end. Data type: String |
| child_contract_lines.​entitlements.​entitlement_characteristics.​type | Type of entitlement characteristic. Valid values: * coverage * coverage_and_usage Data type: String |
| child_contract_lines.​entitlements.​entitlement_characteristics.​value | Value of the characteristic. Data type: String |
| child_contract_lines.​entitlements.​entitlement_name | Name of the entitlement. Data type: String |
| child_contract_lines.​entitlements.​household | Sys_id of the household record associated with the entitlement. Data type: String Table: Household \[csm_household\] |
| child_contract_lines.​entitlements.​install_base_items_covered | List of install base items covered under the  child service contract line. Data type: Array of Objects "install_base_items_covered": [ { "added": "String", "contract": "String", "entitlement": "String", "install_base": "String", "removed": "String", "service_contract_line": "String", "sys_created_by": "String", "sys_created_on": "String", "sys_id": "String", "sys_updated_by": "String", "sys_updated_on": "String" } ] Table: Sold Product Covered  \[sn_install_base_m2m_contract_sold_product\] |
| child_contract_lines.​entitlements.​install_base_items_covered.​added | Date that the associated install base item was added to the service contract line. Data type: String Format: yyyy-mm-dd |
| child_contract_lines.​entitlements.​install_base_items_covered.​contract | Sys_id of the service contract record associated with the install base item. Data type: String Table: Service Contract \[sn_pss_core_service_contract\] |
| child_contract_lines.​entitlements.​install_base_items_covered.​entitlement | Sys_id of the entitlement record associated with the install base item. Data type: String Table: Service Contract \[sn_pss_core_service_contract\] |
| child_contract_lines.​entitlements.​install_base_items_covered.​install_base | Sys_id of the associated install base item record. Data type: String Table: Install Base Item \[sn_install_base_item\] |
| child_contract_lines.​entitlements.​install_base_items_covered.​removed | Date that the associated service contract line ends coverage of the install base item. Data type: String Format: yyyy-mm-dd |
| child_contract_lines.​entitlements.​install_base_items_covered.​service_contract_line | Sys_id of the associated service contract line record. Data type: String Table: Service Contract Line \[sn_pss_core_service_contract_line\] |
| child_contract_lines.​entitlements.​install_base_items_covered.​sys_created_by | Name of the user that created the install base item record. Data type: String |
| child_contract_lines.​entitlements.​install_base_items_covered.​sys_created_on | Date and time that the install base item record was created. Data type: String |
| child_contract_lines.​entitlements.​install_base_items_covered.​sys_id | Sys_id of the install base item covered. Data type: String Table: Sold Product Covered \[sn_install_base_m2m_contract_sold_product\] |
| child_contract_lines.​entitlements.​install_base_items_covered.​sys_updated_by | Name of the user that last updated the install base item record. Data type: String |
| child_contract_lines.​entitlements.​install_base_items_covered.​sys_updated_on | Date and time that the install base item record was last updated. Data type: String |
| child_contract_lines.​entitlements.​product | Sys_id of the product model record associated with the entitlement. Data type: String Table: Product Model \[cmdb_model\] |
| child_contract_lines.​entitlements.​product_offering | Sys_id of the product offering record associated with the entitlement. Data type: String Table: Product Offering \[sn_prd_pm_product_offering\] |
| child_contract_lines.​entitlements.​product_specification | Sys_id of the product specification record associated with the entitlement. Data type: String Table: Product Specification \[sn_prd_pm_product_specification\] |
| child_contract_lines.​entitlements.​service_contract_line | Sys_id of the service contract line record associated with the entitlement. Data type: String Table: Service Contract Line \[sn_pss_core_service_contract_line\] |
| child_contract_lines.​entitlements.​sold_entitlement | Sys_id of the sold product record associated with the entitlement. Data type: String Table: Sold Product \[sn_install_base_sold_product\] |
[...]
